
export const menuData = [
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "系统配置",
        iconClassName: "el-icon-setting",
        index: '0',
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '配置管理',
                index: '0-0',
                routerName: "sysConfigManage"
            }
        ]
    },
    {
        oneMenuName: "设备管理",
        iconClassName: "el-icon-monitor",
        index: '1',
        disabled: false, // 是否禁用
        childList: [ 
            {
                optionName: '设备类型',
                index: '1-1',
                routerName: "deviceType"
            },
            {
                optionName: '设备信息',
                index: '1-2',
                routerName: "deviceInfo"
            },
            {
                optionName: '摄像头管理',
                index: '1-3',
                routerName: "cameraManagement"
            }
        ]
    },
    {
        oneMenuName: "区域管理",
        iconClassName: "el-icon-s-flag",
        index: '2',
        disabled: false,
        childList: [ 
            {
                optionName: '区域信息',
                index: '2-1',
                routerName: "areaInfo"
            }
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "消息管理",
        iconClassName: "el-icon-message",
        index: '3',
        disabled: false,
        childList: [ 
            {
                optionName: '消息绑定',
                index: '3-1',
                routerName: "messageBind"
            },
            {
                optionName: '消息点',
                index: '3-2',
                routerName: "messagePoint"
            },
            {
                optionName: '消息模板',
                index: '3-3',
                routerName: "messageTemplate"
            },
            {
                optionName: '服务提供商',
                index: '3-4',
                routerName: "messageServicMer"
            }
            
        ]
    },
    {
        oneMenuName: "树目录结构",
        iconClassName: "el-icon-coordinate",
        index: '4',
        disabled: false,
        childList: [ 
            {
                optionName: '树目录管理',
                index: '4-1',
                routerName: "treeManagement"
            }
        ]
    },
    {
        oneMenuName: "模板",
        iconClassName: "el-icon-menu",
        index: '100',
        disabled: false, // 是否禁用
        childList: [ 
            {
                optionName: '模板 1',
                index: '100-1',
                routerName: "aa"
            },
            {
                optionName: '普通表格',
                index: '100-2',
                routerName: "ab"
            },
            {
                optionName: '模板 3',
                index: '100-3',
                routerName: "ac"
            },
            {
                optionName: '模板 4',
                index: '100-4',
                routerName: "ad"
            },
            {
                optionName: '模板 5',
                index: '100-5',
                routerName: "ee"
            },
            {
                optionName: '模板 6',
                index: '100-6',
                routerName: "af"
            }
            
        ]
    },
    
]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        index: '1', // 唯一标志
        childList: [ // 分组的
            {
                groupName: '组名一',
                index: '1-1-1',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                index: '1-1-2',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        index: '2',
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                index: '2-1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        index: '3',
        disabled: false
    },
    
    "导航四"
]


